=== src/GuiQt/CMakeLists.txt ===

#
# Name of project
#
PROJECT (GuiQt)

#
# QT include files
#
if(Qt5_FOUND)
    include_directories(${Qt5Core_INCLUDE_DIRS})
    include_directories(${Qt5OpenGL_INCLUDE_DIRS})
    include_directories(${Qt5Network_INCLUDE_DIRS})
    include_directories(${Qt5Widgets_INCLUDE_DIRS})
endif()
IF (QT4_FOUND)
    SET(QT_USE_QTNETWORK TRUE)
    SET(QT_USE_QTOPENGL TRUE)
    INCLUDE(${QT_USE_FILE})
ENDIF ()

#
# Let CMake find files for moc and uic.
#

#
# With AUTOMOC, do not need to specify files
# that contain Q_OBJECT macro for Qt to process with 'moc'
# (meta-object compiler).
#
IF(WORKBENCH_USE_CMAKE_AUTOMOC)
    SET(CMAKE_AUTOMOC ON)
    SET(CMAKE_AUTOUIC ON)
ELSE()
    SET(FORMS
        MovieDialog.ui
       )

    SET(MOC_INPUT_HEADER_FILES
        AboutWorkbenchDialog.h
        AnnotationChangeCoordinateDialog.h
        AnnotationColorWidget.h
        AnnotationCoordinateSelectionWidget.h
        AnnotationCoordinateSpaceWidget.h
        AnnotationCoordinateWidget.h
        AnnotationCreateDialog.h
        AnnotationDeleteWidget.h
        AnnotationFontWidget.h
        AnnotationFormatWidget.h
        AnnotationInsertNewWidget.h
        AnnotationLineArrowTipsWidget.h
        AnnotationMenuArrange.h
        AnnotationMenuFileSelection.h
        AnnotationRedoUndoWidget.h
        AnnotationRotationWidget.h
        AnnotationSelectionViewController.h
        AnnotationPasteDialog.h
        AnnotationTextAlignmentWidget.h
        AnnotationTextEditorDialog.h
        AnnotationTextEditorWidget.h
        AnnotationTextOrientationWidget.h
        AnnotationTextSubstitutionViewController.h
        AnnotationWidthHeightWidget.h
        BalsaDatabaseUploadSceneFileDialog.h
        BalsaStudySelectionDialog.h
        BorderEditingSelectionDialog.h
        BorderFileSplitDialog.h
        BorderOptimizeDialog.h
        BorderPropertiesEditorDialog.h
        BorderSelectionViewController.h
        BrainBrowserWindow.h
        BrainBrowserWindowComboBox.h
        BrainBrowserWindowOrientedToolBox.h
        BrainBrowserWindowToolBar.h
        BrainBrowserWindowToolBarChartAttributes.h
        BrainBrowserWindowToolBarChartAxes.h
        BrainBrowserWindowToolBarChartTwoAttributes.h
        BrainBrowserWindowToolBarChartTwoAxes.h
        BrainBrowserWindowToolBarChartTwoOrientation.h
        BrainBrowserWindowToolBarChartTwoTitle.h
        BrainBrowserWindowToolBarChartTwoType.h
        BrainBrowserWindowToolBarChartType.h
        BrainBrowserWindowToolBarClipping.h
        BrainBrowserWindowToolBarComponent.h
        BrainBrowserWindowToolBarSlicePlane.h
        BrainBrowserWindowToolBarSliceSelection.h
        BrainBrowserWindowToolBarSurfaceMontage.h
        BrainBrowserWindowToolBarTab.h
        BrainBrowserWindowToolBarTabPopUpMenu.h
        BrainBrowserWindowToolBarVolumeMontage.h
        BrainOpenGLWidget.h
        BugReportDialog.h
        CaretColorEnumComboBox.h
        CaretColorEnumMenu.h
        CaretDataFileSelectionComboBox.h
        CaretFileDialog.h
        CaretFileDialogExtendable.h
        CaretFileRemoteDialog.h
        CaretMappableDataFileAndMapSelector.h
        CaretMappableDataFileAndMapSelectorObject.h
        ChartHistoryViewController.h
        ChartLinesSelectionViewController.h
        ChartMatrixParcelSelectionViewController.h
        ChartMatrixSeriesSelectionViewController.h
        ChartTwoOverlaySetViewController.h
        ChartTwoOverlayViewController.h
        ChartSelectionViewController.h
        ChartToolBoxViewController.h
        CiftiConnectivityMatrixViewController.h
        CiftiParcelSelectionComboBox.h
        ClippingPlanesDialog.h
        ColorEditorWidget.h
	CopyPaletteColorMappingToFilesDialog.h
        CustomViewDialog.h
        DataFileContentCopyMoveDialog.h
        DisplayGroupAndTabItemViewController.h
        DisplayGroupEnumComboBox.h
        EnumComboBoxTemplate.h
        FiberOrientationSelectionViewController.h
        FiberSamplesOpenGLWidget.h
        FociProjectionDialog.h
        FociPropertiesEditorDialog.h
        FociSelectionViewController.h
        GapsAndMarginsDialog.h
        GiftiLabelTableEditor.h
        GiftiLabelTableSelectionComboBox.h
        GroupAndNameHierarchyViewController.h
        GuiManager.h
        HelpViewerDialog.h
        HyperLinkTextBrowser.h
        IdentifyBrainordinateDialog.h
        ImageCaptureDialog.h
        ImageFileConvertToVolumeFileDialog.h
        ImageSelectionViewController.h
        InformationDisplayDialog.h
        InformationDisplayPropertiesDialog.h
        LabelSelectionViewController.h
	LockAspectWarningDialog.h
        MacApplication.h
        MacDockMenu.h
        MapSettingsChartTwoLineHistoryWidget.h
	MapSettingsColorBarPaletteOptionsWidget.h
        MapSettingsColorBarWidget.h
        MapSettingsFiberTrajectoryWidget.h
        MapSettingsLabelsWidget.h
        MapSettingsLayerWidget.h
        MapSettingsPaletteColorMappingWidget.h
        MapSettingsParcelsWidget.h
        MapYokingGroupComboBox.h
        MetaDataEditorDialog.h
        MetaDataEditorWidget.h
        MovieDialog.h
	OffScreenOpenGLRenderer.h
        OverlaySetViewController.h
        OverlaySettingsEditorDialog.h
        OverlayViewController.h
        PaletteColorMappingEditorDialog.h
        PlotMagnifier.h
        PlotPanner.h
        PreferencesDialog.h
        ProgressReportingDialog.h
        ProgressReportingFromEvent.h
        ProgressReportingWithSlots.h
        RegionOfInterestCreateFromBorderDialog.h
        SceneBasePathWidget.h
        SceneCreateReplaceDialog.h
        SceneDialog.h
        ScenePreviewDialog.h
        SceneShowOptionsDialog.h
        SpecFileManagementDialog.h
        SplashScreen.h
        StructureEnumComboBox.h
        StructureSurfaceSelectionControl.h
        SurfacePropertiesEditorDialog.h
        SurfaceSelectionViewController.h
	ThresholdingSetMapsDialog.h
        TileTabsConfigurationDialog.h
        UserInputModeAnnotationsContextMenu.h
        UserInputModeAnnotationsWidget.h
        UserInputModeBordersWidget.h
        UserInputModeFociWidget.h
        UserInputModeImageWidget.h
        UserInputModeViewContextMenu.h
        UserInputModeVolumeEditWidget.h
        UserInputTileTabsContextMenu.h
        UsernamePasswordWidget.h
        VolumeFileCreateDialog.h
        VolumeSurfaceOutlineColorOrTabViewController.h
        VolumeSurfaceOutlineSetViewController.h
        VolumeSurfaceOutlineViewController.h
        WuQCollapsibleWidget.h
        WuQDataEntryDialog.h
        WuQDialog.h
        WuQDialogModal.h
        WuQDialogNonModal.h
        WuQDoubleSlider.h
        WuQDoubleSpinBox.h
        WuQEventBlockingFilter.h
        WuQGridLayoutGroup.h
        WuQGroupBoxExclusiveWidget.h
        WuQImageLabel.h
        WuQListWidget.h
        WuQMessageBox.h
        WuQwtPlot.h
        WuQSpecialIncrementDoubleSpinBox.h
        WuQSpinBoxGroup.h
        WuQSpinBoxOddValue.h
        WuQTabWidget.h
	WuQTabWidgetWithSizeHint.h
	WuQTextEditorDialog.h
        WuQTimedMessageDisplay.h
        WuQTreeWidget.h
        WuQTrueFalseComboBox.h
        #WuQWebView.h
        WuQWidget.h
        WuQWidgetObjectGroup.h
        ZipSceneFileDialog.h
    )

    IF(Qt5_FOUND)
        QT5_WRAP_CPP(MOC_SOURCE_FILES ${MOC_INPUT_HEADER_FILES})
        QT5_WRAP_UI(FORMS_HEADERS ${FORMS})
    ENDIF()
    IF (QT4_FOUND)
        QT4_WRAP_CPP(MOC_SOURCE_FILES ${MOC_INPUT_HEADER_FILES})
        QT4_WRAP_UI(FORMS_HEADERS ${FORMS})
    ENDIF ()
ENDIF()

#
# Header files
#
SET(SOURCE_FILES
AboutWorkbenchDialog.h
AnnotationChangeCoordinateDialog.h
AnnotationColorWidget.h
AnnotationCoordinateInformation.h
AnnotationCoordinateSelectionWidget.h
AnnotationCoordinateSpaceWidget.h
AnnotationCoordinateWidget.h
AnnotationCreateDialog.h
AnnotationDeleteWidget.h
AnnotationFontWidget.h
AnnotationFormatWidget.h
AnnotationInsertNewWidget.h
AnnotationLineArrowTipsWidget.h
AnnotationMenuArrange.h
AnnotationMenuFileSelection.h
AnnotationPasteDialog.h
AnnotationRedoUndoWidget.h
AnnotationRotationWidget.h
AnnotationSelectionViewController.h
AnnotationTextAlignmentWidget.h
AnnotationTextEditorDialog.h
AnnotationTextEditorWidget.h
AnnotationTextOrientationWidget.h
AnnotationTextSubstitutionViewController.h
AnnotationWidgetParentEnum.h
AnnotationWidthHeightWidget.h
BalsaDatabaseManager.h
BalsaDatabaseUploadSceneFileDialog.h
BalsaStudySelectionDialog.h
BalsaStudyInformation.h
BalsaUserRoles.h
BorderEditingSelectionDialog.h
BorderFileSplitDialog.h
BorderOptimizeDialog.h
BorderOptimizeExecutor.h
BorderPropertiesEditorDialog.h
BorderSelectionViewController.h
BrainBrowserWindow.h
BrainBrowserWindowComboBox.h
BrainBrowserWindowEditMenuItemEnum.h
BrainBrowserWindowOrientedToolBox.h
BrainBrowserWindowToolBar.h
BrainBrowserWindowToolBarChartAttributes.h
BrainBrowserWindowToolBarChartAxes.h
BrainBrowserWindowToolBarChartTwoAttributes.h
BrainBrowserWindowToolBarChartTwoAxes.h
BrainBrowserWindowToolBarChartTwoOrientation.h
BrainBrowserWindowToolBarChartTwoTitle.h
BrainBrowserWindowToolBarChartTwoType.h
BrainBrowserWindowToolBarChartType.h
BrainBrowserWindowToolBarClipping.h
BrainBrowserWindowToolBarComponent.h
BrainBrowserWindowToolBarSlicePlane.h
BrainBrowserWindowToolBarSliceSelection.h
BrainBrowserWindowToolBarSurfaceMontage.h
BrainBrowserWindowToolBarTab.h
BrainBrowserWindowToolBarTabPopUpMenu.h
BrainBrowserWindowToolBarVolumeMontage.h
BrainOpenGLWidget.h
BugReportDialog.h
CaretColorEnumComboBox.h
CaretColorEnumMenu.h
CaretDataFileSelectionComboBox.h
CaretFileDialog.h
CaretFileDialogExtendable.h
CaretFileRemoteDialog.h
CaretMappableDataFileAndMapSelector.h
CaretMappableDataFileAndMapSelectorObject.h
ChartHistoryViewController.h
ChartLinesSelectionViewController.h
ChartMatrixParcelSelectionViewController.h
ChartMatrixSeriesSelectionViewController.h
ChartTwoOverlaySetViewController.h
ChartTwoOverlayViewController.h
ChartSelectionViewController.h
ChartToolBoxViewController.h
CiftiConnectivityMatrixViewController.h
CiftiParcelSelectionComboBox.h
ClippingPlanesDialog.h
ColorEditorWidget.h
CopyPaletteColorMappingToFilesDialog.h
CursorDisplayScoped.h
CursorEnum.h
CursorManager.h
CustomViewDialog.h
DataFileContentCopyMoveDialog.h
DisplayGroupAndTabItemTreeWidgetItem.h
DisplayGroupAndTabItemViewController.h
DisplayGroupEnumComboBox.h
EnumComboBoxTemplate.h
EventAnnotationCreateNewType.h
EventAnnotationGetDrawnInWindow.h
EventBrowserWindowDrawingContent.h
EventBrowserWindowCreateTabs.h
EventBrowserWindowGraphicsRedrawn.h
EventBrowserWindowNew.h
EventBrowserWindowTileTabOperation.h
EventGetOrSetUserInputModeProcessor.h
EventGraphicsUpdateAllWindows.h
EventGraphicsUpdateOneWindow.h
EventHelpViewerDisplay.h
EventIdentificationRequest.h
EventImageCapture.h
EventMacDockMenuUpdate.h
EventOperatingSystemRequestOpenDataFile.h
EventOverlaySettingsEditorDialogRequest.h
EventPaletteColorMappingEditorDialogRequest.h
EventShowDataFileReadWarningsDialog.h
EventUpdateInformationWindows.h
EventUpdateVolumeEditingToolBar.h
EventUpdateYokedWindows.h
EventUserInterfaceUpdate.h
FiberOrientationSelectionViewController.h
FiberSamplesOpenGLWidget.h
FociProjectionDialog.h
FociPropertiesEditorDialog.h
FociSelectionViewController.h
GapsAndMarginsDialog.h
GiftiLabelTableEditor.h
GiftiLabelTableSelectionComboBox.h
GroupAndNameHierarchyTreeWidgetItem.h
GroupAndNameHierarchyViewController.h
GuiManager.h
HelpViewerDialog.h
HyperLinkTextBrowser.h
IdentifyBrainordinateDialog.h
ImageCaptureDialog.h
ImageFileConvertToVolumeFileDialog.h
ImageSelectionViewController.h
InformationDisplayDialog.h
InformationDisplayPropertiesDialog.h
KeyEvent.h
LabelSelectionViewController.h
LockAspectWarningDialog.h
MacApplication.h
MacDockMenu.h
MapSettingsChartTwoLineHistoryWidget.h
MapSettingsColorBarPaletteOptionsWidget.h
MapSettingsColorBarWidget.h
MapSettingsFiberTrajectoryWidget.h
MapSettingsLabelsWidget.h
MapSettingsLayerWidget.h
MapSettingsPaletteColorMappingWidget.h
MapSettingsParcelsWidget.h
MapYokingGroupComboBox.h
MetaDataEditorDialog.h
MetaDataEditorWidget.h
MouseEvent.h
