=== debian/changelog ===
connectome-workbench (1.3.2.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- NeuroDebian Team <team@neuro.debian.net>  Wed, 27 Jan 2021 15:58:00 +0800
